DtMmdbGetBookCaseByLoc(library call)

NAME
DtMmdbGetBookCaseByLoc — obtains a descriptor for a bookcase based on a hypertext link target

SYNOPSIS

#include &<DtMmdb.h>
int DtMmdbGetBookCaseByLoc(
int infolib_path,
const char* locator);

DESCRIPTION

The DtMmdbGetBookCaseByLoc function makes the database engine ready to provide access service for a bookcase. It allows you to access a bookcase by using a hypertext link target in the bookcase.

ARGUMENTS

infolib_descriptor
    Specifies the infolib that contains the bookcase.

locator
    Specifies the locator of a hypertext link target in the bookcase. The target can be a section or a component within a section. The locator serves as the logical identifier of the object. It is not generated by the DtInfo Database Engine.

RETURN VALUE

If DtMmdbGetBookCaseByLoc completes successfully, it returns the descriptor for the bookcase. If it fails, it returns -1, indicating that there is no bookcase in the infolib that contains the specified target.

EXAMPLE

The following shows how a DtMmdbGetBookCaseByLoc call might be coded.

DtMmdbGetBookCaseByLoc(myInfoLibDescriptor,  "abcde0123456789");

SEE ALSO

DtMmdbGetBookCaseByIndex(3), DtMmdbGetBookCaseByLocs(3), DtMmdbGetBookCaseByName(3)